0

Ok, so to preface this question, I think this error is caused by the plugin I am developing. I actually am trying to create a v2 of the plugin, and every time I try to overwrite the plugin files in prod with the new plugin, it causes this error. Surprisingly, it works fine in my dev environment.

I just don't know what to look out for because it brings up pluggable.php file which is the core WP file. It also causes two errors regarding undefined index from my plugin, so I wonder if that could be that. (the index is undefined until you visit the plugin page and save the info)

Notice: Use of undefined constant SECURE_AUTH_COOKIE - assumed 'SECURE_AUTH_COOKIE' in .../wp-includes/pluggable.php on line 614

Notice: Use of undefined constant LOGGED_IN_COOKIE - assumed 'LOGGED_IN_COOKIE' in .../wp-includes/pluggable.php on line 101

Notice: Undefined index: startDate in .../wp-content/plugins/mypluginname/mypluginname.php on line 485

Notice: Undefined index: endDate in .../wp-content/plugins/mypluginname/mypluginname.php on line 486

Any ideas what I could look out for to try to correct this problem?

2

Nevermind, I found the solution. I included pluggable.php in the plugin which is a no-no to start with. And then I used wp_get_current_user() incorrectly.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.